package com.logicbig.example.dao;

import com.logicbig.example.app.Customer;
import org.springframework.stereotype.Repository;

@Repository
public class InMemoryCustomerDao implements CustomerDao{
    @Override
    public Customer getCustomer(String id) {
        return loadCustomerById(id);
    }

    private Customer loadCustomerById(String id) {
        return new Customer("in-memory-customer, id: "+id);
    }
}