package com.logicbig.example.dao;

import com.logicbig.example.app.Customer;
import org.springframework.stereotype.Repository;

@Repository
public class JpaCustomerDao implements CustomerDao{
    @Override
    public Customer getCustomer(String id) {
        return loadCustomerById(id);
    }

    private Customer loadCustomerById(String id) {
        return new Customer("db-loaded-customer, id: "+id);
    }
}